=encoding utf8

=head1 NAME

Mail::Reporter - base-class and error reporter for Mail::Box

=head1 INHERITANCE

 Mail::Reporter is extended by
   HTML::FromMail
   HTML::FromMail::Format
   HTML::FromMail::Object
   Mail::Box
   Mail::Box::Collection
   Mail::Box::Identity
   Mail::Box::Locker
   Mail::Box::MH::Index
   Mail::Box::MH::Labels
   Mail::Box::Manager
   Mail::Box::Parser
   Mail::Box::Search
   Mail::Box::Thread::Manager
   Mail::Box::Thread::Node
   Mail::Message
   Mail::Message::Body
   Mail::Message::Body
   Mail::Message::Body::Delayed
   Mail::Message::Convert
   Mail::Message::Field
   Mail::Message::Field::Attribute
   Mail::Message::Head
   Mail::Message::Head::FieldGroup
   Mail::Message::TransferEnc
   Mail::Server
   Mail::Transport

=head1 SYNOPSIS

=head1 DESCRIPTION

The C<Mail::Reporter> class is the base class for all classes, except
L<Mail::Message::Field::Fast|Mail::Message::Field::Fast> because it would become slow...  This
base class is used during initiation of the objects.

=head1 METHODS

The C<Mail::Reporter> class is the base for nearly all other
objects.  It can store and report problems, and contains the general
constructor L<new()|Mail::Reporter/"Constructors">.

=head2 Constructors

=over 4

=item $class-E<gt>B<new>(%options)

This is the base constructor for all modules, (as long as there is
no need for another base object)

=back

=head2 Attributes

=head2 Error handling

=over 4

=item $obj-E<gt>B<AUTOLOAD>()

By default, produce a nice warning if the sub-classes cannot resolve
a method.

=item $obj-E<gt>B<notImplemented>()

Z<>

=back

=head2 Cleanup

=over 4

=item $obj-E<gt>B<DESTROY>()

Cleanup the object.

=back

=head1 DIAGNOSTICS

=over 4

=item Error: class $package does not implement method $method.

Fatal error: the specific C<$package> (or one of its superclasses) does not
implement this method where it should. This message means that some other
related classes do implement this method however the class at hand does
not.  Probably you should investigate this and probably inform the author
of the package.
Cast by C<notImplemented()>

=back

=head1 SEE ALSO

This module is part of Mail-Message version 4.05,
built on April 10, 2026. Website: F<http://perl.overmeer.net/mailbox/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

